## org.eclipse.amp.amf.parameters
Class AParRuntimeModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.service.DefaultRuntimeModule
              org.eclipse.amp.amf.parameters.AbstractAParRuntimeModule
                  org.eclipse.amp.amf.parameters.AParRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

    public class AParRuntimeModule

extends AbstractAParRuntimeModule

Use this class to register components to be used within the IDE.

Field Summary

Fields inherited from class org.eclipse.amp.amf.parameters.AbstractAParRuntimeModule
`properties`

Constructor Summary
`AParRuntimeModule()`

Method Summary
`java.lang.Class<? extends org.eclipse.xtext.linking.ILinker>` `bindILinker()`
`java.lang.Class<? extends org.eclipse.xtext.scoping.impl.ImportUriResolver>` `bindImportUriResolver()`

Methods inherited from class org.eclipse.amp.amf.parameters.AbstractAParRuntimeModule

`bindAbstractTypeScopeProvider, bindAParJavaValidator, bindClassLoaderToInstance, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIFormatter, bindIGenerator, bindIGlobalScopeProvider, bindIGrammarAccess, bindIJvmTypeProvider$Factory, bindIParser, bindIParseTreeConstructor, bindIQualifiedNameProvider, bindIScopeProvider, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, bindTypesFactoryToInstance, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIScopeProviderDelegate, configureLanguageName, configureRuntimeLexer, provideInternalAParLexer`

Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindISemanticSequencer, bindISerializer, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, provideIEncodingProvider`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`bindProperties, getBindings, tryBindProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParRuntimeModule

    public AParRuntimeModule()

Method Detail

### bindImportUriResolver

    public java.lang.Class<? extends org.eclipse.xtext.scoping.impl.ImportUriResolver> bindImportUriResolver()

### bindILinker

    public java.lang.Class<? extends org.eclipse.xtext.linking.ILinker> bindILinker()

  Overrides:
    `bindILinker` in class `org.eclipse.xtext.service.DefaultRuntimeModule`